Pass your token via an Authorization header like this: Authorization: Bearer {token}.
Get all abandoned-carts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "user" "user_customer" "customer_representative" Example: include=user Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" "transport_costs" "total_price" Examples:
Calculated properties to include |
object Example: uuid=ff36c7c1-0de3-48eb-a613-e8d881e01347 |
{- "data": [
- {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "subtotal_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all alerts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
object Example: uuid=9dcdc8ab-1811-4848-b4e3-a30b31a6148a |
{- "data": [
- {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
required | object |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": 0,
- "host_id": 0,
- "close_auto_after_seconds": 0,
- "use_session": true
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get a single item
| alert-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Update an item
| alert-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": 0,
- "host_id": 0,
- "close_auto_after_seconds": 0,
- "use_session": true
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ed691c5-1fe6-4caa-b4fd-90723849c9b7"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get all base-prices
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "product" Example: include=product Relations to include |
object Example: uuid=ac075b40-0045-4f70-b98c-fba5aad67885 |
{- "data": [
- {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "4cba5c16-56a8-4e13-b1fe-adb9b6012627"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Value: "product" Example: include=product Relations to include |
required | object |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": 0,
- "config_type_id": 0,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "string",
- "address": "string",
- "account_type": "string",
- "price": 0
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "4cba5c16-56a8-4e13-b1fe-adb9b6012627"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get a single item
| base-price-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "4cba5c16-56a8-4e13-b1fe-adb9b6012627"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Update an item
| base-price-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": 0,
- "config_type_id": 0,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "string",
- "address": "string",
- "account_type": "string",
- "price": 0
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "4cba5c16-56a8-4e13-b1fe-adb9b6012627"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get all brands
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
object Example: uuid=a3bb5583-68d0-44f0-8f8c-beb69802ea1b |
{- "data": [
- {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
required | object |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get a single item
| brand-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Update an item
| brand-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "6beca5ff-9fc3-415c-bba7-22a0e0fd7b1c"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get all business-contexts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=dc4c5b1f-3f4b-47d7-9346-fa92a8b0f839 |
{- "data": [
- {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "parent_id": 0,
- "type_id": 0,
- "order": 0
}
}
}{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get a single item
| business-context-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Update an item
| business-context-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "parent_id": 0,
- "type_id": 0,
- "order": 0
}
}
}{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get all callbacks
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=0d0eb46a-c3a8-4296-b8af-8a0dd8436513 |
{- "data": [
- {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "uri_string": "string",
- "max_retries": 0
}
}
}{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Get a single item
| callback-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Update an item
| callback-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "uri_string": "string",
- "max_retries": 0
}
}
}{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Get all carts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "items" Example: include=items Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" Examples:
Calculated properties to include |
object Example: uuid=6ba43487-2d08-459b-99a3-838a9eb5563c |
{- "data": [
- {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "subtotal_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "items" Example: include=items Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "subtotal_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
}Get all carts.items
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "product" Example: include=product Relations to include |
object Example: uuid=b4372190-11ff-47fe-b6d0-cf862513b0a7 |
{- "data": [
- {
- "type": "cart-items",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "taxes": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "code": null,
- "title": null,
- "charge_transport_costs": false,
- "requires_shipping_address": false,
- "quantity": null,
- "unit_price_raw": null,
- "taxes_percentage_raw": null,
- "quantity_unit": null,
- "price_unit": null,
- "cart_id": null,
- "object_type": null,
- "object_id": null,
- "description": null,
- "size_label": null,
- "color_label": null,
- "color_hex_code": null,
- "stock_status_id": null,
- "weight_in_grams": null,
- "price_note": null,
- "is_calculated_manually": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "code_internal": null,
- "source": null,
- "on_demand": false,
- "parent_id": null,
- "status": "0"
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "6e69e6bd-f6d6-4c73-99d4-58c02d958551"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| item-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "cart-items",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "taxes": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "code": null,
- "title": null,
- "charge_transport_costs": false,
- "requires_shipping_address": false,
- "quantity": null,
- "unit_price_raw": null,
- "taxes_percentage_raw": null,
- "quantity_unit": null,
- "price_unit": null,
- "cart_id": null,
- "object_type": null,
- "object_id": null,
- "description": null,
- "size_label": null,
- "color_label": null,
- "color_hex_code": null,
- "stock_status_id": null,
- "weight_in_grams": null,
- "price_note": null,
- "is_calculated_manually": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "code_internal": null,
- "source": null,
- "on_demand": false,
- "parent_id": null,
- "status": "0"
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "6e69e6bd-f6d6-4c73-99d4-58c02d958551"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "7ecde3ea-db36-4177-b9b1-d0f49d0ac479"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get all catalogs
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=f86e4099-47d9-4fa3-b79b-a35d97b1730f |
{- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "order_index": 0,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}
}
}{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get a single item
| catalog-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Update an item
| catalog-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "order_index": 0,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}
}
}{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get all collections
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=68937f33-48e6-445d-9f2c-a469fd8cd318&code=perferendis&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
required | object |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "string",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Get a single item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Update an item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "string",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "eaaab009-329d-4277-8dee-e5b69cd177d3"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Get all collections.children
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=2c363eda-16ae-4f61-a0d0-8b546372905e&code=culpa&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1a5d5a59-e915-46fb-9b90-defb2fdd29de"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "1a5d5a59-e915-46fb-9b90-defb2fdd29de"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "1a5d5a59-e915-46fb-9b90-defb2fdd29de"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "1a5d5a59-e915-46fb-9b90-defb2fdd29de"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "1a5d5a59-e915-46fb-9b90-defb2fdd29de"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1a5d5a59-e915-46fb-9b90-defb2fdd29de"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all collections.parent
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=84bf6fe9-1f8c-4b76-9279-e6a1bd336d34&code=eos&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "5b8fa5d9-c49b-47a1-b9d9-45d42bd7a4e6"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "5b8fa5d9-c49b-47a1-b9d9-45d42bd7a4e6"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "5b8fa5d9-c49b-47a1-b9d9-45d42bd7a4e6"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "5b8fa5d9-c49b-47a1-b9d9-45d42bd7a4e6"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "5b8fa5d9-c49b-47a1-b9d9-45d42bd7a4e6"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "5b8fa5d9-c49b-47a1-b9d9-45d42bd7a4e6"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all collections.products
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages" Example: include=media Relations to include |
| append | string Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count" Examples:
Calculated properties to include |
object Example: uuid=918820b8-ed15-4440-b1f1-79268a679e29&code=7902203&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| product-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages" Example: include=media Relations to include |
| append | string Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "f1890c44-2246-4053-bd35-fa7fd03b1852"
}
]
[...]
